#ifndef IGNORANCE_H
#define IGNORANCE_H

#include "ignorance_level.h"

#define IGNORANCE_APPLY_CHAT	1
#define IGNORANCE_APPLY_IM		2
#define IGNORANCE_APPLY_USER	4
#define IGNORANCE_APPLY_HOST	8
#define IGNORANCE_APPLY_ENTERLEAVE 16
#define IGNORANCE_APPLY_INVITE	32


//returns the level with a given name, or NULL
ignorance_level*	ignorance_get_level_name(const GString *levelname);

// saves your levels, rules, and denizens to
// ~/.gaim/ignorance
gboolean save_conf();


#endif
